//+------------------------------------------------------------------+
//|                                          Blessing Martingale.mq4 |
//|                                                            timbo |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "timbobo"
#property link      ""

//---- input parameters

extern int     TP=20;
extern double  Lots=0.1;

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   int cmd = 2; double Lot = Lots; double price; int slippage = 4; double stoploss=0; double takeprofit; color colour; int magic = 111;
   bool myTrades; int myTicket; int i;
   bool BuyOrderAlive = false; bool SellOrderAlive = false;
   static int BuyTicket = 0;
   static int SellTicket = 0;

   
   if(BuyTicket == 0 || SellTicket == 0)
   {
      cmd = 0; price = Ask; colour = Green; takeprofit = Bid + TP*Point;
      BuyTicket = OrderSend(Symbol(), cmd, Lot, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour);
      cmd = 1; price = Bid; colour = Red; takeprofit = Ask - TP*Point;
      SellTicket = OrderSend(Symbol(), cmd, Lot, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour);
   }
   

      OrderSelect(BuyTicket,SELECT_BY_TICKET,MODE_TRADES);
      if(OrderCloseTime() != 0) 
      {
            Lot = Lots;
            cmd = 0; price = Ask; colour = Green; takeprofit = Bid + TP*Point;
            BuyTicket = OrderSend(Symbol(), cmd, Lot, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour);
            
            OrderSelect(SellTicket,SELECT_BY_TICKET,MODE_TRADES);
            Lot = OrderLots() * 2;
            cmd = 1; price = Bid; colour = Red; takeprofit = Ask - TP*Point;
            SellTicket = OrderSend(Symbol(), cmd, Lot, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour); 
            
            for(i=0;i<OrdersTotal();i++)
            {
               if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false) break;
               if(OrderSymbol()==Symbol() && OrderMagicNumber()==magic && OrderType() == 1)
               {
                  OrderModify(OrderTicket(),OrderOpenPrice(),0,takeprofit,0,CLR_NONE);
               }
            }
      }
      
      OrderSelect(SellTicket,SELECT_BY_TICKET,MODE_TRADES);
      if(OrderCloseTime() != 0) 
      {
            Lot = Lots;
            cmd = 1; price = Bid; colour = Red; takeprofit = Ask - TP*Point;
            SellTicket = OrderSend(Symbol(), cmd, Lot, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour);
            
            OrderSelect(BuyTicket,SELECT_BY_TICKET,MODE_TRADES);
            Lot = OrderLots() * 2;
            cmd = 0; price = Ask; colour = Green; takeprofit = Bid + TP*Point;
            BuyTicket = OrderSend(Symbol(), cmd, Lot, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour);
            
            for(i=0;i<OrdersTotal();i++)
            {
               if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false) break;
               if(OrderSymbol()==Symbol() && OrderMagicNumber()==magic && OrderType() == 0)
               {
                  OrderModify(OrderTicket(),OrderOpenPrice(),0,takeprofit,0,CLR_NONE);
               }
            }
      }      
   
//----
   return(0);
  }
//+------------------------------------------------------------------+